Bug 392581 - RuntimeError: could not create GladeXML object
RuntimeError: could not create GladeXML object
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-20 10:36 EST by Burak OZGOREN
Modified: 2008-05-28 15:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-28 15:18:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Burak OZGOREN 2007-11-20 10:36:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.9) Gecko/20071105 Fedora/2.0.0.9-1.fc8 Firefox/2.0.0.9

Description of problem:
Choose some application to remove and applied. It waits some time and crashes.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Steps to Reproduce:


Actual Results:
Component: pirut
Summary: TB933f1c56 DetailsDialog.py:38:__init__:RuntimeError: could not create GladeXML object

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 377, in _apply
  File "/usr/lib/python2.5/site-packages/pirut/DetailsDialog.py", line 38, in __init__
RuntimeError: could not create GladeXML object

Local variables in innermost frame:
parent: <gtk.Window object at 0x9f58e14 (GtkWindow at 0x9fef8e0)>
text: Software removal successfully completed.
self: <pirut.DetailsDialog.PirutDetailsDialog instance at 0xbb00ecc>
buttons: [('gtk-ok', 0)]
type: <enum GTK_MESSAGE_INFO of type GtkMessageType>
secondary: None

Expected Results:


Additional info:
Comment 1 Jeremy Katz 2007-11-20 11:19:17 EST
What is the output of 'rpm -V pirut'?
Comment 2 Burak OZGOREN 2007-11-21 02:40:19 EST
(In reply to comment #1)
> What is the output of 'rpm -V pirut'?

package pirut is not installed

I installed fedora8 from dvd, and made all the software updates. Then was
removing software, at that point bug happened. So i hope it must be the latest
version.
I installed pirut again with yum now. Base System->Base group was not checked at
pirut now. I was uninstalling some applications from that group when the bug
happened. Was removing laptop or wireless based components.

At bug report it says component, also version of component can be add there? 
Comment 3 Jeremy Katz 2008-05-28 15:18:47 EDT
Without pirut installed, I wouldn't expect things to work.  Although I would
have expected the files to be fully removed.  I can't reproduce this in some
trying today, though, so going to close.  If you have a good reproducer, feel
free to reopen with the exact steps you take to make this occur

Note You need to log in before you can comment on or make changes to this bug.